%define pypi_name zope-deprecation
%define srcname zope.deprecation

Name:           python-%{pypi_name}
Version:        5.0
Release:        %mkrel 1
Summary:        Zope Deprecation Infrastructure
Group:          Development/Python
License:        ZPL
URL:            https://pypi.org/project/zope-deprecation/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
This package provides a simple function called deprecated(names, reason) to
mark deprecated modules, classes, functions, methods and properties.

%package -n     python3-%{pypi_name}
Summary:        Zope Deprecation Infrastructure
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-%{srcname} < 5.0

%description -n python3-%{pypi_name}
This package provides a simple function called deprecated(names, reason) to
mark deprecated modules, classes, functions, methods and properties.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files zope

# not needed
rm -rf %{buildroot}%{python3_sitelib}/*-nspkg.pth

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt COPYRIGHT.txt
%doc README.rst


%changelog
* Wed Dec 20 2023 wally <wally> 5.0-1.mga10
+ Revision: 2020407
- rename source pkg as python-zope-deprecation
- new version 5.0
- use pyproject rpm macros

* Wed Mar 23 2022 umeabot <umeabot> 4.4.0-7.mga9
+ Revision: 1822986
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 4.4.0-6.mga9
+ Revision: 1778560
- Rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 4.4.0-5.mga9
+ Revision: 1705065
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 4.4.0-4.mga8
+ Revision: 1608363
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 4.4.0-3.mga8
+ Revision: 1533402
- Mageia 8 Mass Rebuild

* Sat Sep 21 2019 tv <tv> 4.4.0-2.mga8
+ Revision: 1444195
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jul 01 2019 guillomovitch <guillomovitch> 4.4.0-1.mga8
+ Revision: 1417065
- imported package python-zope.deprecation

